//////////////////////////////////////////////////////////////////////////////
//
// PocketHAL
// Copyright 2003 by Thierry Tremblay
//
//////////////////////////////////////////////////////////////////////////////

#ifndef POCKETHAL_GDISURFACE_H
#define POCKETHAL_GDISURFACE_H

#include "surface.h"
#include <windows.h>

namespace PHAL
{


//////////////////////////////////////////////////////////////////////////////
//
// GDISurface
//
//////////////////////////////////////////////////////////////////////////////

class GDISurface : public Surface
{
public:

    GDISurface( unsigned width, unsigned height );
    ~GDISurface();

    // Access the DC
    HDC GetDC() const { return m_hDC; }

private:

    HBITMAP  m_hBitmap;
    HDC      m_hDC;
};


} // end of namespace PHAL

#endif
