//////////////////////////////////////////////////////////////////////////////
//
// PocketHAL
// Copyright 2003 by Thierry Tremblay
//
//////////////////////////////////////////////////////////////////////////////

#ifndef INCLUDED_POCKETHAL_H
#define INCLUDED_POCKETHAL_H


//////////////////////////////////////////////////////////////////////////////
//
// Include everything
//
//////////////////////////////////////////////////////////////////////////////

#include "autolink.h"
#include "defs.h"
#include "gdisurface.h"
#include "display.h"
#include "keys.h"



namespace PHAL
{

//////////////////////////////////////////////////////////////////////////////
//
// Definitions
//
//////////////////////////////////////////////////////////////////////////////

#define POCKETHAL_VERSION_MAJOR 0
#define POCKETHAL_VERSION_MINOR 5

#define POCKETHAL_VERSION_STRING "PocketHAL - Version 0.5"



//////////////////////////////////////////////////////////////////////////////
//
// API functions
//
//////////////////////////////////////////////////////////////////////////////

Model       GetModel();         // Return the PocketPC model
Platform    GetPlatform();      // Return the PocketPC platform
Processor   GetProcessor();     // Return the processor
uint32_t    GetClock();         // Return the time in milliseconds



} // end of namespace PHAL


#endif
